test: _CONSOLE_INFO struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _CONSOLE_INFO Struct Reference

`#include <conmsg.h>`

List of all members.

## Public Attributes

IN OUT HANDLE | ConsoleHandle
OUT HANDLE | InputWaitHandle
OUT HANDLE | StdIn
OUT HANDLE | StdOut
OUT HANDLE | StdErr
OUT HANDLE | InitEvents [NUMBER_OF_INITIALIZATION_EVENTS]
IN UINT | iIconId
IN HICON | hIcon
IN HICON | hSmIcon
IN DWORD | dwHotKey
IN DWORD | dwStartupFlags
IN WORD wFillAttribute | OPTIONAL
IN WORD wPopupFillAttribute | OPTIONAL
IN WORD wShowWindow | OPTIONAL
IN WORD wReserved | OPTIONAL
IN COORD dwScreenBufferSize | OPTIONAL
IN COORD dwWindowSize | OPTIONAL
IN COORD dwWindowOrigin | OPTIONAL
IN DWORD nFont | OPTIONAL
IN DWORD nInputBufferSize | OPTIONAL
IN COORD dwFontSize | OPTIONAL
IN UINT uFontFamily | OPTIONAL
IN UINT uFontWeight | OPTIONAL
IN WCHAR | FaceName [LF_FACESIZE]
IN UINT uCursorSize | OPTIONAL
IN BOOL bFullScreen | OPTIONAL
IN BOOL bQuickEdit | OPTIONAL
IN BOOL bInsertMode | OPTIONAL
IN BOOL bAutoPosition | OPTIONAL
IN UINT uHistoryBufferSize | OPTIONAL
IN UINT uNumberOfHistoryBuffers | OPTIONAL
IN BOOL bHistoryNoDup | OPTIONAL
IN COLORREF ColorTable[16] | OPTIONAL

## Member Data Documentation

IN OUT HANDLE _CONSOLE_INFO::ConsoleHandle

| Definition at line 42 of file conmsg.h. Referenced by ConDllInitialize(), ConsoleClientConnectRoutine(), and SrvAllocConsole().

IN DWORD _CONSOLE_INFO::dwHotKey

| Definition at line 51 of file conmsg.h. Referenced by LoadLinkInfo().

IN DWORD _CONSOLE_INFO::dwStartupFlags

| Definition at line 52 of file conmsg.h. Referenced by LoadLinkInfo().

IN WCHAR _CONSOLE_INFO::FaceName[LF_FACESIZE]

| Definition at line 65 of file conmsg.h. Referenced by LoadLinkInfo().

IN HICON _CONSOLE_INFO::hIcon

| Definition at line 49 of file conmsg.h. Referenced by LoadLinkInfo().

IN HICON _CONSOLE_INFO::hSmIcon

| Definition at line 50 of file conmsg.h. Referenced by LoadLinkInfo().

IN UINT _CONSOLE_INFO::iIconId

| Definition at line 48 of file conmsg.h. Referenced by LoadLinkInfo().

OUT HANDLE _CONSOLE_INFO::InitEvents[NUMBER_OF_INITIALIZATION_EVENTS]

| Definition at line 47 of file conmsg.h. Referenced by ConsoleClientConnectRoutine().

OUT HANDLE _CONSOLE_INFO::InputWaitHandle

| Definition at line 43 of file conmsg.h. Referenced by AllocConsole(), ConDllInitialize(), and ConsoleClientConnectRoutine().

IN COLORREF ColorTable [ 16 ] _CONSOLE_INFO::OPTIONAL

| Definition at line 74 of file conmsg.h.

IN BOOL bHistoryNoDup _CONSOLE_INFO::OPTIONAL

| Definition at line 73 of file conmsg.h.

IN UINT uNumberOfHistoryBuffers _CONSOLE_INFO::OPTIONAL

| Definition at line 72 of file conmsg.h.

IN UINT uHistoryBufferSize _CONSOLE_INFO::OPTIONAL

| Definition at line 71 of file conmsg.h.

IN BOOL bAutoPosition _CONSOLE_INFO::OPTIONAL

| Definition at line 70 of file conmsg.h.

IN BOOL bInsertMode _CONSOLE_INFO::OPTIONAL

| Definition at line 69 of file conmsg.h.

IN BOOL bQuickEdit _CONSOLE_INFO::OPTIONAL

| Definition at line 68 of file conmsg.h.

IN BOOL bFullScreen _CONSOLE_INFO::OPTIONAL

| Definition at line 67 of file conmsg.h.

IN UINT uCursorSize _CONSOLE_INFO::OPTIONAL

| Definition at line 66 of file conmsg.h.

IN UINT uFontWeight _CONSOLE_INFO::OPTIONAL

| Definition at line 64 of file conmsg.h.

IN UINT uFontFamily _CONSOLE_INFO::OPTIONAL

| Definition at line 63 of file conmsg.h.

IN COORD dwFontSize _CONSOLE_INFO::OPTIONAL

| Definition at line 62 of file conmsg.h.

IN DWORD nInputBufferSize _CONSOLE_INFO::OPTIONAL

| Definition at line 61 of file conmsg.h.

IN DWORD nFont _CONSOLE_INFO::OPTIONAL

| Definition at line 60 of file conmsg.h.

IN COORD dwWindowOrigin _CONSOLE_INFO::OPTIONAL

| Definition at line 59 of file conmsg.h.

IN COORD dwWindowSize _CONSOLE_INFO::OPTIONAL

| Definition at line 58 of file conmsg.h.

IN COORD dwScreenBufferSize _CONSOLE_INFO::OPTIONAL

| Definition at line 57 of file conmsg.h.

IN WORD wReserved _CONSOLE_INFO::OPTIONAL

| Definition at line 56 of file conmsg.h.

IN WORD wShowWindow _CONSOLE_INFO::OPTIONAL

| Definition at line 55 of file conmsg.h.

IN WORD wPopupFillAttribute _CONSOLE_INFO::OPTIONAL

| Definition at line 54 of file conmsg.h.

IN WORD wFillAttribute _CONSOLE_INFO::OPTIONAL

| Definition at line 53 of file conmsg.h.

OUT HANDLE _CONSOLE_INFO::StdErr

| Definition at line 46 of file conmsg.h.

OUT HANDLE _CONSOLE_INFO::StdIn

| Definition at line 44 of file conmsg.h.

OUT HANDLE _CONSOLE_INFO::StdOut

| Definition at line 45 of file conmsg.h.

The documentation for this struct was generated from the following file:

- conmsg.h